%define base_name	log4j
%define name		old%{base_name}
%define full_name	jakarta-%{base_name}
%define version		1.1.3
%define release		2jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Java logging package
License:        Apache License
Source0:        %{full_name}-%{version}.tar.gz
Url:            http://jakarta.apache.org/log4j
BuildRequires:  ant
BuildRequires:  junit
BuildRequires:  javamail >= 1.2-5jpp
BuildRequires:  jms
BuildRequires:  jndi
BuildRequires:  jaf >= 1.0.1-5jpp
Group:          System/Logging
Buildarch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage Project
Distribution:	JPackage

%description
Log4j is a tool to help the java programmer output log statements to a
file or to an OutputStream.

%package manual
Summary:        Manual for %{name}
Group:          System/Logging

%description manual
Documentation for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{full_name}-%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
export CLASSPATH=\
%{javadir}/jms.jar:\
%{javadir}/jndi.jar:\
%{javadir}/jaf.jar:\
%{javadir}/javamail/mailapi.jar
ant -buildfile build/build.xml jar
ant -buildfile build/build.xml javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 dist/lib/%{base_name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
rm -rf docs/api

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL LICENSE.APL
%{javadir}/*

%files manual
%defattr(-,root,root)
%doc docs/* contribs

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Fri Sep 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-2jpp
- section macro

* Fri Sep 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-1jpp
- first release
